<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AttendanceInfo extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //

        Schema::create('attendance_info', function (Blueprint $table){
            $table->id();
            $table->integer('id_number');
            $table->integer('attendance_number');
            $table->string('state');
            $table->string('attendance_date_time');
            $table->string('type');
            $table->string('device_serial_number');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //

        Schema::drop('attendance_info');
    }
}
